#!/usr/bin/env bash

if [ "$UID" != "0" ]; then 
  echo " Only root can execute this script, sorry."
  echo " Try 'sudo $0'"
  exit 0
fi

# Si existe el archivo lch
if [[ -f "/usr/bin/lch" ]]; then
  rm /usr/bin/lch
fi

# Si existe el directorio lch
if [[ -d "/usr/lib/lch" ]]; then
  rm -rf "/usr/lib/lch"
fi

# Si existe man
if [ -x "$(command -v man)" ]; then
    # Si nulo manpath
    if [ -z "$MANPATH" ]; then
        MANPATH=$(manpath)
    fi

    MANDIR=${MANPATH%%:*}/man1

    # Si man lch.1
    if [[ -f "$MANDIR/lch.1" ]]; then
        rm "$MANDIR/lch.1"
    fi

    # Si man lch.1.gz
    if [[ -f "$MANDIR/lch.1.gz" ]]; then
        rm "$MANDIR/lch.1.gz"
    fi
fi

echo "=============================="
echo " lch uninstalled successfully."
echo -e "==============================\n"



